#
# Conditional build
%bcond_without  tests	# disable 'make check'
#
Summary:	A strictly RFC 3986 compliant URI parsing library
Summary(pl.UTF-8):	Biblioteka analizująca URI ściśle zgodne z RFC 3986
Name:		uriparser
Version:	0.8.0
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://downloads.sourceforge.net/uriparser/%{name}-%{version}.tar.bz2
# Source0-md5:	77601f52ab91c0e100fc5d783d9c1ee5
URL:		http://uriparser.sourceforge.net/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.10.1
%{?with_tests:BuildRequires:	cpptest-devel >= 1.1.0}
BuildRequires:	doxygen
BuildRequires:	graphviz-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 0.9.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
uriparser is a strictly RFC 3986 compliant URI parsing library.
uriparser is cross-platform, fast, supports Unicode.

%description -l pl.UTF-8
uriparser to biblioteka analizująca URI ściśle zgodne z RFC 3986. Jest
wieloplatformowa, szybka i obsługuje Unicode.

%package devel
Summary:	Header files for uriparser
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki uriparser
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for uriparser.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki uriparser.

%package static
Summary:	Static uriparser library
Summary(pl.UTF-8):	Statyczna biblioteka uriparser
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static uriparser library.

%description static -l pl.UTF-8
Statyczna biblioteka uriparser.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	 %{!?with_tests:--disable-test}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/uriparser

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog doc/{*.{htm,txt},html}
%attr(755,root,root) %{_bindir}/uriparse
%attr(755,root,root) %{_libdir}/liburiparser.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liburiparser.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liburiparser.so
%{_libdir}/liburiparser.la
%{_includedir}/uriparser
%{_pkgconfigdir}/liburiparser.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liburiparser.a
%changelog
* Mon Dec 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/uriparser.git;a=log;h=master

* Mon Dec 23 2013 Łukasz Kieś <kiesiu@pld-linux.org> 437aea7
- updated to 0.8.0

* Fri Aug 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 329bd1a
- check-files cleanup

* Fri Aug 17 2012 Łukasz Kieś <kiesiu@pld-linux.org> b32f3d5
- removed unneeded comment lines

* Fri Aug 17 2012 Łukasz Kieś <kiesiu@pld-linux.org> 53fe79b
- updated to 0.7.7

* Fri Apr 03 2009 Jakub Bogusz <qboosh@pld-linux.org> 8cd5b2b
- proper pkgconfig package name

* Mon Mar 09 2009 lisu <lisu@pld-linux.org> 8504989
- .pc goes to pkgconfigdir
- BR: pkg-config always required

* Thu Mar 05 2009 lisu <lisu@pld-linux.org> 4659b62
- up to 0.7.5
- add tests bcond (enabled by default) - handling of cpp tests (BRs: ccptest-devel and pkg-config)
- BRs: doxygen, graphviz-devel (for docs)
- run ./configure manually in docs in order to create regular Doxyfile
- more docs

* Tue Dec 23 2008 lisu <lisu@pld-linux.org> 9c3c7d5
- 0.7.4

* Sun Nov 23 2008 Marcin Banasiak <marcin.banasiak@gmail.com> fef0bd2
- typo

* Fri Nov 21 2008 lisu <lisu@pld-linux.org> 9d3b8b6
- up to 0.7.3

* Mon Jun 02 2008 Jakub Bogusz <qboosh@pld-linux.org> e223060
- updated to 0.7.1

* Sat Apr 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 792ca74
- up to 0.7.0

* Tue Feb 26 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c7c3156
- update to 0.6.4

* Mon Feb 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> df5c64d
- up to 0.6.3

* Fri Feb 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c015f47
- up to 0.6.2

* Sun Jan 13 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3d2efaa
- up to 0.6.1 (ac regeneration not needed + requires alpha version of autoconf)

* Sat Nov 03 2007 Jakub Bogusz <qboosh@pld-linux.org> e55fa74
- updated to 0.6.0 (new soname)
- package COPYING

* Thu Sep 13 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 2d9b35c
- up to 0.5.2

* Thu Aug 09 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 4343b5a
- up to 0.5.1

* Sat Jul 07 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> bc93cb3
- up to 0.4.1

